Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.cas
Class EmptyFSList

    java.lang.Object
      org.apache.uima.cas.impl.FeatureStructureImpl
          org.apache.uima.jcas.cas.TOP
              org.apache.uima.jcas.cas.FSList
                  org.apache.uima.jcas.cas.EmptyFSList

All Implemented Interfaces:
  Cloneable, FeatureStructure

    public class EmptyFSList

extends FSList

Field Summary
`static int` | `type`
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP
`addr, jcasType`

Constructor Summary
`protected` | `EmptyFSList()`
`` | `EmptyFSList(int addr, TOP_Type type)` Internal - Constructor used by generator
`` | `EmptyFSList(JCas jcas)`

Method Summary
`int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance

Methods inherited from class org.apache.uima.jcas.cas.FSList
`getNthElement`

Methods inherited from class org.apache.uima.jcas.cas.TOP
`addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl
`clone, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### typeIndexID

    public static final int typeIndexID

### type

    public static final int type

Constructor Detail

### EmptyFSList

    protected EmptyFSList()

### EmptyFSList

    public EmptyFSList(int addr,
                       TOP_Type type)

  Internal - Constructor used by generator

### EmptyFSList

    public EmptyFSList(JCas jcas)

Method Detail

### getTypeIndexID

    public int getTypeIndexID()

  Description copied from class: `TOP`
  used to obtain reference to the TOP_Type instance

  Overrides:
    `getTypeIndexID` in class `FSList`
  Returns:
    the type array index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.